\documentclass[twoside]{book}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\input{glyphtounicode}% Make PDF offer better copy and paste
  \pdfgentounicode=1


\RequirePackage{graphicx}
\usepackage{adjustbox} % for clipping pictures
\usepackage{mwe}  % for chapter-opening picture


% ++++++++++++++++++++++++++++++++++++++++
\makeatletter
\usepackage{cleveref}
\usepackage{titlesec}
% \extra
% Like \section but with different formatting.
\titleclass{\extra}{straight}[\chapter]
\newcounter{extra}[chapter]  % Which extra section are we in?
  \renewcommand{\theextra}{\Alph{extra}}
\titleformat{\extra}
  {\normalsize\large}{}{0em}{\makebox[0em][r]{\sffamily\normalsize\bfseries Extra\ \theextra\hspace{0.6em}}}
\titlespacing*{\extra}{0pt}{3.25ex plus 1ex minus .2ex}{1.5ex plus .2ex}

\newcommand{\scenarioautorefname}{scenario}

% Give extra same TOC level as sections
\def\toclevel@extra{1}
\def\l@extra{\@dottedtocline{3}{3.8em}{3.2em}}
% for hyperref: \def\toclevel@extra{2}


\makeatother
% ++++++++++++++++++++++++++++++++++++++++


\usepackage{lipsum}
\begin{document}
\tableofcontents

\mainmatter% \setcounter{page}{0}
\chapter{Title of Chapter One}
\lipsum[1]
\section{Title of Section One.I}
\lipsum[1]

\subsection{Title of Subsection One.I.1}
\lipsum[1]


\subsection{Title of Subsection One.I.2}
\lipsum[1]




\section{Title of Section One.II}
\lipsum[1]

\extra{Title of Extra topic}
\lipsum[1]

\extra{Title of Second extra topic}
\lipsum[1]


% ==============================================================
\chapter{Title of Chapter Two}
% \chapter{Chapter Two}
\lipsum[1]
\section{Title of Section One.I}
% \citetext{Cited text}{This is the body of the first text citation.
% It has a paragraph break in it.}

\lipsum[1]
\subsection{Title of Subsection One.I.1}
\lipsum[1]
\subsection{Title of Subsection One.I.2}
\lipsum[1]

\extra{Title of Extra topic}
\lipsum[1]


\extra{Title of Second extra topic}
\lipsum[1]


% \printnotes

\end{document}
